Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.enhancer
Class EmbeddableVisitor

    java.lang.Object
      org.objectweb.asm.ClassAdapter
          org.apache.cayenne.enhancer.EmbeddableVisitor

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public class EmbeddableVisitor

extends org.objectweb.asm.ClassAdapter

Enhances classes passed through the visitor to add embeddable fields and methods needed by Cayenne.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`protected boolean` | `checkReserved`
`protected EnhancementHelper` | `helper`
`protected Collection<String>` | `reservedFieldNames`

Fields inherited from class org.objectweb.asm.ClassAdapter
`cv`

Constructor Summary
`EmbeddableVisitor(org.objectweb.asm.ClassVisitor visitor)`

Method Summary
`void` | `visitEnd()`
`org.objectweb.asm.FieldVisitor` | `visitField(int access, String name, String desc, String signature, Object value)` Checks that no double enhancement happens.

Methods inherited from class org.objectweb.asm.ClassAdapter
`visit, visitAnnotation, visitAttribute, visitInnerClass, visitMethod, visitOuterClass, visitSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### helper

    protected EnhancementHelper helper

### reservedFieldNames

    protected Collection<String> reservedFieldNames

### checkReserved

    protected boolean checkReserved

Constructor Detail

### EmbeddableVisitor

    public EmbeddableVisitor(org.objectweb.asm.ClassVisitor visitor)

Method Detail

### visitField

    public org.objectweb.asm.FieldVisitor visitField(int access,
                                                     String name,
                                                     String desc,
                                                     String signature,
                                                     Object value)

  Checks that no double enhancement happens.

  Specified by:
    `visitField` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitField` in class `org.objectweb.asm.ClassAdapter`

### visitEnd

    public void visitEnd()

  Specified by:
    `visitEnd` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitEnd` in class `org.objectweb.asm.ClassAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.